#!/bin/sh
#
# $1: hours
# $2: minutes

JOBS=/cdrom/etc/linutopd/scheduler/jobs

[ -z "$1" ] && exit 1
if [ "$1" = "cancel" ]; then
    sed -ri "/.*[0-9]{1,2} [0-9]{1,2} reboot.*/d" $JOBS
fi

[ -z "$2" ] && exit 1
if [ -f $JOBS ] && egrep -q '[0-9]{1,2} [0-9]{1,2} reboot' $JOBS; then
    sed -ri "s/.*[0-9]{1,2} [0-9]{1,2} reboot.*/$2 $1 reboot/" $JOBS
else
    mkdir -p $(dirname $JOBS)
    echo $2 $1 reboot >> $JOBS
fi

# reload linutopd
/bin/kill -USR1 $(cat /var/run/linutopd/pid)

exit 0
