#!/bin/sh

[ -f /cdrom/syslinux.cfg.restore ] && exit 0

cp /cdrom/syslinux.cfg /cdrom/syslinux.cfg.restore
cat > /cdrom/syslinux.cfg <<EOF
DEFAULT vesamenu.c32
PROMPT 0
MENU BACKGROUND splash.jpg
MENU COLOR sel 7;31;40 #900090f0 #00000000 std
MENU COLOR unsel 7;31;40 #90f0f0f0 #00000000 std
MENU WIDTH 100
MENU VSHIFT 20
MENU ROWS 3
LABEL linutop
MENU LABEL Cancel the restoration
KERNEL vmlinuz
APPEND boot=lrd initrd=initrd.gz root=/dev/ram rw quiet vga=791 splash -- syslinux_restore
KERNEL vmlinuz
LABEL restore
MENU LABEL Restore the system (keep user data and configuration)
KERNEL vmlinuz
APPEND boot=lrd initrd=initrd.gz root=/dev/ram rw quiet vga=791 splash -- restore=true
LABEL restoreall
MENU LABEL Restore the system (delete everything)
KERNEL vmlinuz
APPEND boot=lrd initrd=initrd.gz root=/dev/ram rw quiet vga=791 splash -- restore=true restoreall
TIMEOUT 300
EOF
