/**
 * Copyright (C) 2010 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LGFIND_H
#define LGFIND_H

#include <gtk/gtk.h>

typedef struct _LGFind
{
    GtkWidget *dir_entry;
    GtkWidget *name_entry;
    GtkWidget *name_combo;
    GtkWidget *find_btn;
    GtkWidget *cancel_btn;

    /* those are not yet used */
    GtkWidget *case_chk;
    GtkWidget *filetype_combo;

    GtkWidget *result_treeview;

    gchar *cmd;
    GPid pid;
    GIOChannel *channel;
    gint out;
} LGFind;

#endif /* LGFIND_H */
